Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface XMLEntitySpecRegistryEntryMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface XMLEntitySpecRegistryEntryMBean
extends ConfigurationMBean

An Entity Spec Entry specifies how to resolve an external entity based its public and system IDs.

When WebLogic Server is parsing an XML document and it encounters the specified external entity, WebLogic Server resolves the entity according to the values entered for this entry. You can specify that the external entity resolve to a particular resource whose location is either a pathname reachable by the Administration Server or a URI to a local repository.

An Entity Spec entry is part of an XML Registry.

For this type of registry entry the document type is identified by either or both of: 1) a public ID (e.g, "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" 2) a system ID (e.g, "http://java.sun.com/j2ee/dtds/ejb-jar_2_0.dtd") This configuration information is used by the WebLogic JAXP implementation to set up SAX EntityResolvers.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getCacheTimeoutInterval()` Specifies the default timeout interval (in seconds) of the external entity cache.
`String` | `getEntityURI()` The location of the external entity, either a pathname or URI.
`String` | `getPublicId()` The public ID of the external entity.
`String` | `getSystemId()` The system ID of the external entity.
`String` | `getWhenToCache()` Specifies when WebLogic Server should cache the external entities it retrieves from the Web.
`void` | `setCacheTimeoutInterval(int interval)` Sets the value of the CacheTimeoutInterval attribute.
`void` | `setEntityURI(String uri)` Sets the value of the EntityURI attribute.
`void` | `setPublicId(String publicId)` Set the public id of the document type represented by this registry entry.
`void` | `setSystemId(String systemId)` Set the system id of the document type represented by this registry entry.
`void` | `setWhenToCache(String cacheOnDeploy)` Sets the value of the WhenToCache attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getCacheTimeoutInterval

    public int getCacheTimeoutInterval()

  Specifies the default timeout interval (in seconds) of the external entity cache.

  A value of `-1` means that the entity entity cache timeout interval defers to the one specified for the XML registry of which this Entity Spec entry is a part.

  Returns:
    The cacheTimeoutInterval value
  Default value:
    -1
  Minimum value:
    -1

### getEntityURI

    public String getEntityURI()

  The location of the external entity, either a pathname or URI.

  The location of the external entity can be either a pathname relative to the XML Registry directories, reachable by the Administration Server, or a URI of the entity location in some local repository.

  Returns:
    The entityURI value

### getPublicId

    public String getPublicId()

  The public ID of the external entity.

  When WebLogic Server is parsing an XML document and it encounters an external entity with this public ID, WebLogic Server resolves the entity (to either a local file or a URL resource) according to the values set for this Entity spec entry.

  Returns:
    The publicId value

### getSystemId

    public String getSystemId()

  The system ID of the external entity.

  When WebLogic Server is parsing an XML document and it encounters an external entity with this system ID, WebLogic Server resolves the entity (to either a local file or a URL resource) according to the values set for this Entity spec entry.

  Returns:
    The systemId value

### getWhenToCache

    public String getWhenToCache()

  Specifies when WebLogic Server should cache the external entities it retrieves from the Web.

  WebLogic Server can cache the entities when they are referenced, as soon as possible (that is, on initialization) or never. Additionally, WebLogic Server can defer to the XML registry's cache setting.

  Returns:
    The whenToCache value
  Default value:
    "defer-to-registry-setting"
  Legal values:
    "cache-on-reference","cache-at-initialization","cache-never","defer-to-registry-setting"

### setCacheTimeoutInterval

    public void setCacheTimeoutInterval(int interval)
                                 throws InvalidAttributeValueException

  Sets the value of the CacheTimeoutInterval attribute.

  Parameters:
    `interval` - The new cacheTimeoutInterval value
  Throws:
    `InvalidAttributeValueException`
  A dynamic MBean attribute.

### setEntityURI

    public void setEntityURI(String uri)
                      throws InvalidAttributeValueException

  Sets the value of the EntityURI attribute.

  Parameters:
    `uri` - The new entityURI value
  Throws:
    `InvalidAttributeValueException`
  A dynamic MBean attribute.

### setPublicId

    public void setPublicId(String publicId)
                     throws InvalidAttributeValueException

  Set the public id of the document type represented by this registry entry.

  Parameters:
    `publicId` - The new publicId value
  Throws:
    `InvalidAttributeValueException`
  A dynamic MBean attribute.

### setSystemId

    public void setSystemId(String systemId)
                     throws InvalidAttributeValueException

  Set the system id of the document type represented by this registry entry.

  Parameters:
    `systemId` - The new systemId value
  Throws:
    `InvalidAttributeValueException`
  A dynamic MBean attribute.

### setWhenToCache

    public void setWhenToCache(String cacheOnDeploy)

  Sets the value of the WhenToCache attribute.

  Parameters:
    `cacheOnDeploy` - The new whenToCache value
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD